
[![DOI](https://zenodo.org/badge/291094231.svg)](https://zenodo.org/badge/latestdoi/291094231)

<!-- README.md is generated from README.Rmd. Please edit that file -->

The problem and promise of scale in multilayer animal social networks
=====================================================================

-   Authors:
    -   [Alec L. Robitaille](http://robitalec.ca)
    -   [Quinn M.R. Webber](https://qwebber.weebly.com/)
    -   [Julie W. Turner](https://www.julwturner.com/)
    -   [Eric Vander Wal](http://weel.gitlab.io)

This repository contains the code accompanying the paper [“The problem
and promise of scale in multilayer animal social
networks”](https://doi.org/10.1093/cz/zoaa052). Scripts are under
`scripts/` and reused functions are in `R/`. This project uses standard
R package structure and can therefore be installed with `devtools`. This
also helps declare external package dependencies required for the
analysis. Please note that while functions are included here, they are
not tested for use in other projects and may not be suitable (at least
not in their current version). The project uses `drake` for workflow
management and `renv` for explicitly declaring package dependencies and
their versions.

Abstract
--------

Scale remains a foundational concept in ecology. Spatial scale, for
instance, has become a central consideration in the way we understand
landscape ecology and animal space use. Meanwhile, scale-dependent
social processes can range from fine-scale interactions to co-occurrence
and overlapping home ranges. Furthermore, sociality can vary within and
across seasons. Multilayer networks promise the explicit integration of
the social, spatial and, temporal contexts. Given the complex interplay
of sociality and animal space use in heterogeneous landscapes, there
remains an important gap in our understanding of the influence of scale
on animal social networks. Using an empirical case study, we discuss
ways of considering social, spatial and, temporal scale in the context
of multilayer caribou social networks. Effective integration of social
and spatial processes, including biologically meaningful scales, within
the context of animal social networks is an emerging area of research.
We incorporate perspectives that link the social environment to spatial
processes across scales in a multilayer context.
